<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();
user_access('adm_rekl',null,'/index.php?'.SID);
$set['title']='Управление фотоконкурсом';
include_once '../sys/inc/thead.php';
title();
$foto1=mysql_fetch_array(mysql_query("SELECT * FROM `foto_conf`"));
if (isset($_POST['save'])){

if (isset($_POST['closed']) && ($_POST['closed']==1 || $_POST['closed']==0))
{
$foto1['closed']=intval($_POST['closed']);
mysql_query("UPDATE `foto_conf` SET `closed` = '$foto1[closed]' WHERE `id` = '$foto1[id]' LIMIT 1");
}
else $err='Ошибка режима невидимки';

if (isset($_POST['nazvanie']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['nazvanie']))
{
$foto1['nazvanie']=$_POST['nazvanie'];
mysql_query("UPDATE `foto_conf` SET `nazvanie` = '".my_esc($foto1['nazvanie'])."' WHERE `id` = '1' LIMIT 1");
}
else $err[]='Неверный формат названия';

if (isset($_POST['d']) && (is_numeric($_POST['d']) && $_POST['d']>0 && $_POST['d']<=31 || $_POST['d']==NULL))
{
$foto1['d']=$_POST['d'];
if ($foto1['d']==null)$foto1['d']='null';
mysql_query("UPDATE `foto_conf` SET `d` = $foto1[d] WHERE `id` = '1' LIMIT 1");
if ($foto1['d']=='null')$foto1['d']=NULL;
}
else $err[]='Неверный формат дня рождения';

if (isset($_POST['m']) && (is_numeric($_POST['m']) && $_POST['m']>0 && $_POST['m']<=12 || $_POST['m']==NULL))
{
$foto1['m']=$_POST['m'];
if ($foto1['m']==null)$foto1['m']='null';
mysql_query("UPDATE `foto_conf` SET `m` = $foto1[m] WHERE `id` = '1' LIMIT 1");
if ($foto1['m']=='null')$foto1['m']=NULL;
}
else $err[]='Неверный формат месяца окончания';

if (isset($_POST['g']) && (is_numeric($_POST['g']) && $_POST['g']>0 && $_POST['g']>=date('Y') || $_POST['g']==NULL))
{
$foto1['g']=$_POST['g'];
if ($foto1['g']==null)$foto1['g']='null';
mysql_query("UPDATE `foto_conf` SET `g` = $foto1[g] WHERE `id` = '1' LIMIT 1");
if ($foto1['g']=='null')$foto1['g']=NULL;
}
else $err[]='Неверный формат года рождения';

if (isset($_POST['1']) && preg_match('#^([A-z0-9А-я \-]*)$#ui', $_POST['1']))
{
$foto1['1']=$_POST['1'];
mysql_query("UPDATE `foto_conf` SET `1` = '".my_esc($foto1['1'])."' WHERE `id` = '1' LIMIT 1");
}
else $err[]='Неверный приза за 1 место';

if (isset($_POST['2']) && preg_match('#^([A-z0-9А-я \-]*)$#ui', $_POST['2']))
{
$foto1['2']=$_POST['2'];
mysql_query("UPDATE `foto_conf` SET `2` = '".my_esc($foto1['2'])."' WHERE `id` = '1' LIMIT 1");
}
else $err[]='Неверный приза за 2 место';

if (isset($_POST['3']) && preg_match('#^([A-z0-9А-я \-]*)$#ui', $_POST['3']))
{
$foto1['3']=$_POST['3'];
mysql_query("UPDATE `foto_conf` SET `3` = '".my_esc($foto1['3'])."' WHERE `id` = '1' LIMIT 1");
}
else $err[]='Неверный приза за 3 место';

if (isset($_POST['set_konkurs']) && $_POST['set_konkurs']==1)
{
$foto1['set_konkurs']=1;
mysql_query("UPDATE `foto_conf` SET `set_konkurs` = '1' WHERE `id` = '1' LIMIT 1");
}
else
{
$foto1['set_konkurs']=0;
mysql_query("UPDATE `foto_conf` SET `set_konkurs` = '0' WHERE `id` = '1' LIMIT 1");
}

if (!isset($err))msg('Изменения успешно приняты');

}
err();
aut();

echo "<form method='post' action='?$passgen'>\n";
echo "<label><input type='checkbox' name='set_konkurs'".($foto1['set_konkurs']==1?' checked="checked"':null)." value='1' /> Включить голосование</label><br />\n";
echo "Включить конкурс<br />\n<select name='closed'>\n";
echo "<option value='1'".($foto1['closed']==1?" selected='selected'":null).">нет</option>\n";
echo "<option value='0'".($foto1['closed']==0?" selected='selected'":null).">да</option>\n";
echo "</select><br />\n";
echo "Название:<br />\n<input type='text' name='nazvanie' value='".output_text($foto1['nazvanie'],false)."' maxlength='200' /><br />\n";
echo "Дата окончанияния:<br />\n";
echo "<input type='text' name='d' value='$foto1[d]' size='2' maxlength='2' />\n";
echo "<input type='text' name='m' value='$foto1[m]' size='2' maxlength='2' />\n";
echo "<input type='text' name='g' value='$foto1[g]' size='4' maxlength='4' /><br />\n";
echo "<b>Призы:</b><br />";
echo "1 место:<br />\n<input type='text' name='1' value='$foto1[1]' maxlength='200' /><br />\n";
echo "2 место:<br />\n<input type='text' name='2' value='$foto1[2]' maxlength='200' /><br />\n";
echo "3 место:<br />\n<input type='text' name='3' value='$foto1[3]' maxlength='200' /><br />\n";
echo "Участников: ".mysql_result(mysql_query("SELECT COUNT(*) FROM `foto` ",$db), 0)."";
echo "<br />";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo "<div class='foot'>\n";
echo "&laquo;<a href='/adm_panel/'>Админка</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>